@lsamurail

Как решить проблему в Ruby?

To see why this extension failed to compile, please check the mkmf.log which can
be found here:

C:/RailsInstaller/Ruby2.3.3/lib/ruby/gems/2.3.0/extensions/x86-mingw32/2.3.0/sqlite3-1.4.0/mkmf.log

extconf failed, exit code 1

Gem files will remain installed in
C:/RailsInstaller/Ruby2.3.3/lib/ruby/gems/2.3.0/gems/sqlite3-1.4.0 for
inspection.
Results logged to
C:/RailsInstaller/Ruby2.3.3/lib/ruby/gems/2.3.0/extensions/x86-mingw32/2.3.0/sqlite3-1.4.0/gem_make.out

An error occurred while installing sqlite3 (1.4.0), and Bundler cannot continue.
Make sure that `gem install sqlite3 -v '1.4.0'` succeeds before bundling.

In Gemfile:
sqlite3
Прошу прощения, я только начинаю изучать языки программирования, и не понимаю, что с этим делать. Я пытаюсь создать "Новое приложение"
  • Вопрос задан
  • 71 просмотр
Пригласить эксперта
Ответы на вопрос 2
b0nn1e
@b0nn1e
Alcohol & Ruby on Rails
Поставьте виртуалку/дуалбут с убунтой и будет вам счастье.
При разработке на Windows вы отгребете кучу проблем которе можно было бы избежать.
Ответ написан
2ord
@2ord
продвинутый чайник
Просто установи WSL на Windows 10, затем выбери дистр. Ubuntu (он попроще для новичков).
Затем открыв консоль Ubuntu (из под Винды)
sudo apt install ruby sqlite3 libsqlite3-dev
sudo gem install sqlite3-ruby

В общем, требует войти в мир Линукса. Но это самый верный путь.
Если хочешь трудный путь, то устанавливай все зависимости для разработки в Windows. DevKit для начала.
Ответ написан
Ваш ответ на вопрос

Войдите, чтобы написать ответ

Войти через центр авторизации
Похожие вопросы